%global eclipse_base        %{_libdir}/eclipse
%global install_loc         %{_datadir}/eclipse/dropins
# Taken from update site so we match upstream
#  http://download.eclipse.org/mylyn/archive/3.5.1/v20110422-0200/
%global qualifier           v20110422-0200

Name: eclipse-mylyn
Summary: Eclipse Mylyn main feature.
Version: 3.5.1
Release: 1%{?dist}
License: EPL
URL: http://www.eclipse.org/mylyn

# bash fetch-eclipse-mylyn.sh
Source0: eclipse-mylyn-R_3_5_1-fetched-src.tar.bz2
Source1: fetch-eclipse-mylyn.sh

BuildArch: noarch

BuildRequires: java-devel >= 1.5.0
BuildRequires: eclipse-platform >= 1:3.4.0
BuildRequires: eclipse-pde >= 1:3.4.0
BuildRequires: eclipse-mylyn-commons >= 3.5.0

Requires: eclipse-platform >= 1:3.4.0
Requires: eclipse-mylyn-commons >= 3.5.0

Group: Development/Tools

%description
Mylyn integrates task support into Eclipse. It supports offline editing
for certain task repositories and monitors work activity to hide
information that is not relevant to the current task.

%prep
%setup -c

%build
%{eclipse_base}/buildscripts/pdebuild -f org.eclipse.mylyn_feature \
 -a "-DjavacSource=1.5 -DjavacTarget=1.5 -DforceContextQualifier=%{qualifier} -DmylynQualifier=%{qualifier}" \
 -d "mylyn-commons"

%install
rm -rf %{buildroot}

install -d -m 755 %{buildroot}%{_datadir}/eclipse
install -d -m 755 %{buildroot}%{install_loc}/mylyn

unzip -q -o -d %{buildroot}%{install_loc}/mylyn \
 build/rpmBuild/org.eclipse.mylyn_feature.zip

%files
%defattr(-,root,root,-)
%{install_loc}/mylyn
%doc org.eclipse.mylyn.tasks/org.eclipse.mylyn-feature/epl-v10.html
%doc org.eclipse.mylyn.tasks/org.eclipse.mylyn-feature/license.html

%changelog
* Tue Apr 26 2011 Severin Gehwolf <sgehwolf@redhat.com> 3.5.1-1
- Update to upstream 3.5.1.

* Fri Apr 8 2011 Severin Gehwolf <sgehwolf@redhat.com> 3.5.0-1
- Update to upstream 3.5.0 release. This update splits this
  existing SRPM up into about 7 additional ones.
- Now requires new package eclipse-mylyn-commons.

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.4.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Jan 5 2011 Alexander Kurtakov <akurtako@redhat.com> 3.4.2-4
- Fix symlink to non-existing versioned jar.

* Tue Dec 7 2010 Severin Gehwolf <sgehwolf@redhat.com> 3.4.2-3
- Really fix FTBFS.

* Tue Dec 7 2010 Severin Gehwolf <sgehwolf@redhat.com> 3.4.2-2
- Fix FTBFS RH Bz #660784

* Fri Oct 8 2010 Chris Aniszczyk <zx@redhat.com> 3.4.2-1
- Update to 3.4.2.

* Wed Sep 1 2010 Jeff Johnston <jjohnstn@redhat.com> 3.4.1-3
- Resolves: #605285
- Fix obsoletes/provides for eclipse-cdt-mylyn using an epoch of 2.

* Wed Sep 1 2010 Alexander Kurtakov <akurtako@redhat.com> 3.4.1-2
- Backport patch for wikitext to work with Fedora wiki.

* Tue Aug 31 2010 Alexander Kurtakov <akurtako@redhat.com> 3.4.1-1
- Update to 3.4.1.

* Tue Jul 27 2010 Charley Wang <chwang@redhat.com> 3.4.0-4
- Add Wikitext SDK to eclipse-mylyn

* Wed Jul 21 2010 Charley Wang <chwang@redhat.com> 3.4.0-3
- Relax cdt requires, remove extraneous links, fix xmlrpc split

* Thu Jul 15 2010 Charley Wang <chwang@redhat.com> 3.4.0-2
- Add required jar links to mylyn dropins directory

* Wed Jul 14 2010 Charley Wang <chwang@redhat.com> 3.4.0-1
- Update to 3.4.0. Add mylyn-commons feature, remove commons.soap

* Wed Mar 3 2010 Alexander Kurtakov <akurtako@redhat.com> 3.3.2-4
- Relax bundle version requires for commons-lang.

* Thu Feb 25 2010 Alexander Kurtakov <akurtako@redhat.com> 3.3.2-3
- Really update to 3.3.2.

* Thu Feb 25 2010 Alexander Kurtakov <akurtako@redhat.com> 3.3.2-2
- Bump release.

* Thu Feb 25 2010 Alexander Kurtakov <akurtako@redhat.com> 3.3.2-1
- Update to 3.3.2.

* Wed Feb 17 2010 Alexander Kurtakov <akurtako@redhat.com> 3.3.1-5
- Adapt to commons-lang 2.4.

* Wed Feb 17 2010 Alexander Kurtakov <akurtako@redhat.com> 3.3.1-4
- Fix FTBFS rhbz#564704.

* Thu Jan 07 2010 Andrew Overholt <overholt@redhat.com> 3.3.1-3
- Remove Fedora customizations (adding bugzilla instances).

* Thu Jan 07 2010 Andrew Overholt <overholt@redhat.com> 3.3.1-2
- Update license field to add ASL 2.0 for wikitext.

* Thu Dec 17 2009 Alexander Kurtakov <akurtako@redhat.com> 3.3.1-1
- Update to 3.3.1 version.

* Sun Nov 22 2009 Alexander Kurtakov <akurtako@redhat.com> 3.3.0-4
- Fix build with newer common-codec.

* Wed Oct 28 2009 Alexander Kurtakov <akurtako@redhat.com> 3.3.0-3
- CDT subpackage obsoletes eclipse-cdt-mylyn.

* Tue Oct 27 2009 Alexander Kurtakov <akurtako@redhat.com> 3.3.0-2
- Fix cdt description. Bump qualifier to be newer than Galileo update site.

* Tue Oct 27 2009 Alexander Kurtakov <akurtako@redhat.com> 3.3.0-1
- Update to 3.3.0.
- Add cdt bridge.
- Remove BR/R which are required by eclipse itself now.

* Tue Sep 22 2009 Alexander Kurtakov <akurtako@redhat.com> 3.2.1-2
- Add patch for correct building of o.e.wikitext.help.ui.

* Tue Aug 4 2009 Alexander Kurtakov <akurtako@redhat.com> 3.2.1-1
- Update to 3.2.1.

* Wed Apr 22 2009 Andrew Overholt <overholt@redhat.com> 3.1.1-1
- 3.1.1
- Bug fixes from 3.1.0:  http://tinyurl.com/mylyn-3-1-1bugs
- Remove wikitext build patch that has been merged upstream.

* Wed Mar 25 2009 Alexander Kurtakov <akurtako@redhat.com> 3.1.0-3
- Fix documentation build.

* Mon Mar 23 2009 Alexander Kurtakov <akurtako@redhat.com> 3.1.0-2
- Rebuild to not ship p2 context.xml.

* Tue Mar 17 2009 Andrew Overholt <overholt@redhat.com> 3.1.0-1
- 3.1.0
- Add wikitext sub-package.
- Update to new Fedora customizations plugin.
- Don't repack JARs as it breaks help content.

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.0.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Feb 9 2009 Andrew Overholt <overholt@redhat.com> 3.0.4-1
- 3.0.4

* Wed Nov 12 2008 Andrew Overholt <overholt@redhat.com> 3.0.3-4
- Add patch for e.o#239435 (rhbz#470356).

* Fri Oct 31 2008 Alexander Kurtakov <akurtako@redhat.com> 3.0.3-3
- Don't apply nojaxb.patch.
- Fix eclipse-mylyn-splitxmlrpc.patch to Import-Package:org.apache.xmlrpc.

* Tue Oct 21 2008 Alexander Kurtakov <akurtako@redhat.com> 3.0.3-2
- BR ws-jaxme.
- Bump xmlrpc3 requires for proper OSGi metadata.
- Fix trac feature.xml to not require different qualifier for the deps.

* Tue Oct 21 2008 Alexander Kurtakov <akurtako@redhat.com> 3.0.3-1
- 3.0.3.
- Rebase addfedoracustomizations.patch.

* Sat Oct 18 2008 Alexander Kurtakov <akurtako@redhat.com> 3.0.1-3
- Add >= for jdom to ensure proper OSGi metadata

* Mon Aug 11 2008 Andrew Overholt <overholt@redhat.com> 3.0.1-2
- Add >= for requirements to ensure proper OSGi metadata

* Fri Aug 08 2008 Andrew Overholt <overholt@redhat.com> 3.0.1-1
- Fix fuzz on adding Fedora customizations patch
- Add patch to make Red Hat bugzilla 3.0

* Thu Aug 07 2008 Andrew Overholt <overholt@redhat.com> 3.0.1-1
- Add webtasks sub-package

* Tue Aug 05 2008 Andrew Overholt <overholt@redhat.com> 3.0.1-1
- Update install locations
- Add qualifier hack for now

* Wed Jul 30 2008 Andrew Overholt <overholt@redhat.com> 3.0.1-1
- 3.0.1
- Add patch to not require jaxb (required by XML-RPC Orbit bundle)
- Fold -ide and -bugzilla into main package
- Add commented-out webtasks sub-package; to be enabled after rome
  review is complete

* Thu Jul 17 2008 Tom "spot" Callaway <tcallawa@redhat.com> 2.3.2-6
- fix license tag

* Wed May 14 2008 Andrew Overholt <overholt@redhat.com> 2.3.2-6
- ".qualifier" -> actual release qualifier in build (due to upstream
  build system change (e.o#108291, rh#446468).

* Tue Apr 15 2008 Andrew Overholt <overholt@redhat.com> 2.3.2-5
- Re-build to attempt to fix rhbz#442251 (broken cpio archive).

* Tue Apr 15 2008 Jesse Keating <jkeating@redhat.com> - 2.3.2-4
- Rebuild due to filesystem corruption

* Mon Apr 07 2008 Andrew Overholt <overholt@redhat.com> 2.3.2-3
- Fix commons-lang symlink.

* Mon Apr 07 2008 Andrew Overholt <overholt@redhat.com> 2.3.2-2
- Upload sources.

* Fri Apr 04 2008 Andrew Overholt <overholt@redhat.com> 2.3.2-1
- 2.3.2.
- Add jakarta-commons-lang dependency.

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 2.1.0-2
- Autorebuild for GCC 4.3

* Wed Oct 24 2007 Andrew Overholt <overholt@redhat.com> 2.1.0-1
- 2.1.0
- Enable GNOME bugzilla by default

* Tue Oct 02 2007 Andrew Overholt <overholt@redhat.com> 2.0.0-10
- Add %%post gcj blocks for sub-packages (thanks to David Walluck).
- Rename fetching script (s/mylar/mylyn/).

* Fri Sep 21 2007 Andrew Overholt <overholt@redhat.com> 2.0.0-9
- Really remove all mylar references in mylyn feature - courtesy
  Mandriva package.

* Wed Sep 19 2007 Andrew Overholt <overholt@redhat.com> 2.0.0-8
- Add patch and source to have common bugzilla servers by default.

* Tue Sep 18 2007 Andrew Overholt <overholt@redhat.com> 2.0.0-7
- Fix filename of webcore jar.

* Tue Sep 18 2007 Andrew Overholt <overholt@redhat.com> 2.0.0-6
- Re-add gcj support (accidentally removed the flag).

* Fri Sep 07 2007 Andrew Overholt <overholt@redhat.com> 2.0.0-5
- Make web.core its own jar.
- Unpack web.core so we can symlink to dependencies.
- Symlink to dependencies of web.core.
- Remove rome jar and exports from web.core.
- BR/R all the versions of dependencies that have OSGi manifests.

* Fri Aug 24 2007 Andrew Overholt <overholt@redhat.com> 2.0.0-4
- ExcludeArch ppc64 (no xmlrpc3 on ppc64 due to rh#239123).

* Thu Aug 23 2007 Andrew Overholt <overholt@redhat.com> 2.0.0-3
- Add BR on eclipse-pde.

* Thu Aug 23 2007 Andrew Overholt <overholt@redhat.com> 2.0.0-2
- Add BR and R on eclipse-cvs-client.

* Thu Aug 23 2007 Andrew Overholt <overholt@redhat.com> 2.0.0-1
- Re-name to eclipse-mylyn.

* Fri Aug 10 2007 Ben Konrath <bkonrath@redhat.com> 2.0.0-1
- 2.0.0
- Add -java and -pde sub-packages.

* Wed Apr 25 2007 Andrew Overholt <overholt@redhat.com> 2.0-0.1.M2a.1
- 2.0M2a (a re-tag to fix some tagging issues).

* Wed Apr 18 2007 Andrew Overholt <overholt@redhat.com> 1.0-4
- Add workaround for missing method in GNU Classpath.

* Thu Apr 12 2007 Andrew Overholt <overholt@redhat.com> 1.0-3
- Add Obsoletes and Provides for eclipse-bugzilla on
  eclipse-mylar-bugzilla (comments in bug #222677).  If someone notices
  missing functionality to warrant removing the Provides, please file a
  bug.

* Tue Mar 20 2007 Andrew Overholt <overholt@redhat.com> 1.0-2
- Use xmlrpc3 jars instead of xmlrpc

* Fri Mar 16 2007 Andrew Overholt <overholt@redhat.com> 1.0-1
- Initial build
