#!/bin/sh
#
# eclipse-mylyn SRPM produces one binary RPM including
# the org.eclipse.mylyn-feature
# 
# Note:
# eclipse-mylyn-commons needs to be built prior to this package.
RELEASE_TAG="R_3_5_1"

rm -fr org.eclipse.mylyn.contexts
# get sources from org.eclipse.mylyn.contexts repo
cvs -d :pserver:anonymous@dev.eclipse.org:/cvsroot/mylyn \
export -r ${RELEASE_TAG} org.eclipse.mylyn.contexts/org.eclipse.mylyn.context.core;

rm -fr org.eclipse.mylyn.commons
# get sources from org.eclipse.mylyn.commons repo
for f in \
org.eclipse.mylyn \
org.eclipse.mylyn.discovery.core \
org.eclipse.mylyn.discovery.ui \
org.eclipse.mylyn.monitor.core \
org.eclipse.mylyn.monitor.ui; do
cvs -d :pserver:anonymous@dev.eclipse.org:/cvsroot/mylyn \
export -r ${RELEASE_TAG} org.eclipse.mylyn.commons/$f;
done

rm -fr org.eclipse.mylyn.tasks
# get sources from org.eclipse.mylyn.tasks repo
for f in org.eclipse.mylyn.tasks.core \
org.eclipse.mylyn.tasks.search \
org.eclipse.mylyn-feature \
org.eclipse.mylyn.tasks.ui; do
cvs -d :pserver:anonymous@dev.eclipse.org:/cvsroot/mylyn \
export -r ${RELEASE_TAG} org.eclipse.mylyn.tasks/$f;
done

rm -f eclipse-mylyn-${RELEASE_TAG}-fetched-src.tar.bz2
tar cjf eclipse-mylyn-${RELEASE_TAG}-fetched-src.tar.bz2 \
	org.eclipse.mylyn.contexts \
	org.eclipse.mylyn.commons \
	org.eclipse.mylyn.tasks
